﻿namespace BPA.KitChen.StoreManagement.Application.Service.Applet.Dtos
{
    /// <summary>
    /// 数据周转
    /// </summary>
    public class MiniStorePageDto
    {
        /// <summary>
        /// 页面名称
        /// </summary>
        public string PageName { get; set; }
        /// <summary>
        /// 页面路由
        /// </summary>
        public string PageRoute { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string FranchiseeId { get; set; }
        /// <summary>
        /// 加盟商店铺
        /// </summary>
        public string StoreId { get; set; }
    }
    /// <summary>
    /// 页面素材
    /// </summary>

    public class MiniStorePageMaterialDto
    {
        /// <summary>
        /// 店铺页面id
        /// </summary>
        public string PageId { get; set; }
        /// <summary>
        /// 素材名称
        /// </summary>
        public string MaterialName { get; set; }
        /// <summary>
        /// 素材编码
        /// </summary>
        public string MaterialCode { get; set; }
        /// <summary>
        /// 素材路径
        /// </summary>
        public string MaterialPath { get; set; }
    }
}
