﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.Applet.Dtos
{
    public class PayTemplateCreateOrUpdateInputDto
    {
        public string Id { get; set; }

        public string Name { get; set; }


        public string WXAppId { get; set; }


        public string WXId { get; set; }
        /// <summary>
        /// 1.微信  2.支付宝
        /// </summary>
        public int WXPayType { get; set; }

        /// <summary>
        /// 支付ID  支付宝的Pid  微信的 MCHid
        /// </summary>
        public string WXPId { get; set; }

        /// <summary>
        /// 支付宝的 pk  微信的appk
        /// </summary>
        public string WXKey { get; set; }


        /// <summary>
        /// 私钥货密码
        /// </summary>
        public string WXPrivateKey { get; set; }

        /// <summary>
        /// 公钥或证书
        /// </summary>
        public string WXPubLicKey { get; set; }



        public string ZFBId { get; set; }

        public string ZFBAppId { get; set; }

        /// <summary>
        /// 1.微信  2.支付宝
        /// </summary>
        public int ZFBPayType { get; set; }

        /// <summary>
        /// 支付ID  支付宝的Pid  微信的 MCHid
        /// </summary>
        public string ZFBPId { get; set; }

        /// <summary>
        /// 支付宝的 pk  微信的appk
        /// </summary>
        public string ZFBKey { get; set; }

        /// <summary>
        /// 私钥货密码
        /// </summary>
        public string ZFBPrivateKey { get; set; }

        /// <summary>
        /// 公钥或证书
        /// </summary>
        public string ZFBPubLicKey { get; set; }
    }
}
