﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.Applet.Dtos
{
    public class PayTemplateOutDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public List<PayTemplateOutDtoInfo> PayTemplateOutDtoInfo { get; set; }
    }
    public class PayTemplateOutDtoInfo
    {
        public string Id { get; set; }
        public string AppId { get; set; }

        /// <summary>
        /// 1.微信  2.支付宝
        /// </summary>
        public int PayType { get; set; }

        /// <summary>
        /// 支付ID  支付宝的Pid  微信的 MCHid
        /// </summary>
        public string PId { get; set; }

        /// <summary>
        /// 支付宝的 pk  微信的appk
        /// </summary>
        public string Key { get; set; }

        /// <summary>
        /// 私钥货密码
        /// </summary>
        public string PrivateKey { get; set; }

        /// <summary>
        /// 公钥或证书
        /// </summary>
        public string PubLicKey { get; set; }
    }
}
