﻿using BPA.KitChen.StoreManagement.Core.Enum;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.FoodMenu.Dtos
{
    public class StoreGoodsBaseDto
    {
        /// <summary> 
        ///  id
        /// </summary> 
        public string Id { get; set; }
        /// <summary> 
        ///  商品菜品id
        /// </summary> 
        public string FoodId { get; set; }
        /// <summary> 
        ///  门店
        /// </summary> 
        public string StoreId { get; set; }
        /// <summary> 
        ///  菜谱id
        /// </summary> 
        public string FoodMenuId { get; set; }

        /// <summary> 
        ///  
        /// </summary> 
        public string Goods_Name { get; set; }
        /// <summary> 
        ///  价格
        /// </summary> 
        public decimal Price { get; set; }
        /// <summary> 
        ///  会员价
        /// </summary> 
        public decimal VipPrice { get; set; }
        /// <summary> 
        ///  是否设备制作
        /// </summary> 
        public int IsDevice { get; set; }
        public string GoodsId { get; set; }
        public CommonStatus Status { get; set; }

        /// <summary>
        /// 估清 0正常，1暂停销售
        /// </summary>
        public int StopSales { get; set; }
        /// <summary>
        /// 估清时间
        /// </summary>
        public DateTime? StopSalesTime { get; set; }
    }
}
