﻿using BPA.KitChen.StoreManagement.Application.BaseDto;
using BPA.KitChen.StoreManagement.Core.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.FoodMenu.Dtos
{
  public  class StoreGoodsQueryInputDto : PageInputBase
    {

        public string StoreId { get; set; }
        public string GoodsName { get; set; }
        /// <summary> 
        ///  是否设备制作
        /// </summary> 
        public int? IsDevice { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public CommonStatus? Status { get; set; }
        /// <summary>
        /// 估清 0 正常1 暂停销售
        /// </summary>
        public int? StopSales { get; set; }
        public string FoodMenuId { get; set; }

    }
}
