﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.Printer.Dtos
{
    /// <summary>
    /// 模板
    /// </summary>
  public  class PrinterTemplateCreateOrUpdateInputDto
    {
        public string Id { get; set; }
        /// <summary> 
        /// 标题 
        /// </summary> 
        public string Title { get; set; }
        /// <summary> 
        /// 副标题 
        /// </summary> 
        public string Subtitle { get; set; }
        /// <summary> 
        /// 说明（欢迎语） 
        /// </summary> 
        public string Explain { get; set; }
        /// <summary> 
        /// 结束语 
        /// </summary> 
        public string Footer { get; set; }
        /// <summary> 
        /// 是否显打印时间 
        /// </summary> 
        public bool IsShowPrintTime { get; set; }
       
        /// <summary> 
        /// 是否显示单号 
        /// </summary> 
        public bool IsShowNumber { get; set; }

        /// <summary>
        /// 小票模板类型： 1.收银（出餐）小票  2.贴纸小票
        /// </summary>
        public int Type { get; set; }
    }
}
