﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity
{
    ///<summary>
    ///菜品关联菜谱表   
    ///</summary>
    [SugarTable("BPA_FoodMenu")]
    public class BPA_FoodMenu : IBaseGroupIdEntity
    {

        /// <summary>
        /// 商品菜品id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string GoodsId { get; set; }

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string GoodsName { get; set; }

        /// <summary>
        /// 菜谱信息表
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string FoodMenuId { get; set; }
    }
}
