﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity
{
    ///<summary>
    ///菜谱信息表   
    ///</summary>
    [SugarTable("BPA_FoodMenuInfo")]
    public class BPA_FoodMenuInfo : IBaseGroupIdEntity
    {

        /// <summary>
        /// 菜谱编码
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(20)", IsNullable = false)]
        public string Code { get; set; }

        /// <summary>
        /// 菜谱名称
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(500)", IsNullable = false)]
        public string Name { get; set; }

        [SugarColumn(ColumnDataType = "varchar(64)", IsNullable = true)]
        public string StoreId { get; set; }

        public int? Sort { get; set; }
    }
}
