﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;

namespace BPA.KitChen.StoreManagement.Core.Entity
{

    [SugarTable("BPA_StoreStaff")]
    public class BPA_StoreStaff: IBaseGroupIdEntity
    {
        public string Name { get; set; }

        public string Phone { get; set; }

        public string Number { get; set; }

        public string ShopId { get; set; }

        /// <summary>
        /// 1店长  2 员工
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(100)", IsNullable = true)]
        public string PositionId { get; set; }

        public string  Pwd { get; set; }
    }
}
