﻿using BPA.KitChen.StoreManagement.Core.Enum;
using Furion;
using SqlSugar;
using System;

namespace BPA.KitChen.StoreManagement.Core.Entity.Base
{
    /// <summary>
    /// 自定义实体基类
    /// </summary>
    public abstract class IEntity: IBaseOPEntity
    {
        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "状态", IsNullable = false)]
        public CommonStatus Status { get; set; } = CommonStatus.ENABLE;
       

    }
}
