﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.FoodMenu.Dtos
{
    public class BaseResultDto
    {
        public int statusCode { get; set; }

        public Data data { get; set; }

        public string succeeded { get; set; }

        public string errors { get; set; }

        public string extras { get; set; }

        public int timestamp { get; set; }
    }

    public class Data
    {
        public List<DataItem> data { get; set; }

        public int total { get; set; }
    }
    public class DataItem
    {
        public string id { get; set; }

        public string code { get; set; }

        public string name { get; set; }

        public decimal price { get; set; }

        public string imgUrl { get; set; }

        public int status { get; set; }

        public string goodsTypeId { get; set; }

        public string goodsTypeName { get; set; }

        public string remark { get; set; }

        public int isDeleted { get; set; }

        public string goodsUintId { get; set; }

        public string foreignKeyRe { get; set; }

        public string design { get; set; }

        public int isWeigh { get; set; }

        public string defaultMate { get; set; }

        public string isAttrubute { get; set; }
    }

    public class BaseResultDto2
    {
        public int statusCode { get; set; }

        public List<DataItem> data { get; set; }

        public string succeeded { get; set; }

        public string errors { get; set; }

        public string extras { get; set; }

        public int timestamp { get; set; }
    }



}
