﻿using BPA.KitChen.StoreManagement.Core.Enum;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.StoreDesktopNumber.Dtos
{
    public class DesktopNumberOutDto
    {
        public string Id { get; set; }

        /// <summary>
        /// 桌面编号
        /// </summary>
        public string DesktopNumber { get; set; }

        /// <summary>
        /// 店铺
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 桌台码前缀
        /// </summary>
        public string Code { get; set; }

        public CommonStatus Status { get; set; }
        public string StoreName { get; set; }

        public DateTime CreateAt { get; set; }
        public string Host { get; set; }
    }

    public class StoreOutDto
    {
        public string Id { get; set; }

        public string Name { get; set; }

    }


}
