﻿using BPA.KitChen.StoreManagement.Application.BaseDto;
using BPA.KitChen.StoreManagement.Application.Service.ShopManage.StoreStaff.Dtos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Application.Service.ShopManage.StoreStaff
{
    public interface IStoreStaffService
    {
        Task<bool> AddStoreStaff(CreateOrUpdateStoreStaffInputDto inputDto);

        Task<bool> UpdateStoreStaff(CreateOrUpdateStoreStaffInputDto inputDto);

        Task<PageUtil> GetStoreStaffPage(StoreStaffPageInputDto inputDto);

        Task<bool> DelStoreStaff(List<string> ids);
    }
}
