﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity
{


    /// <summary>
    /// 打印机
    /// </summary>
    [SugarTable("BPA_Printer")]
    public  class BPA_Printer: IBaseGroupIdEntity
    {
        
        /// <summary>
        /// 应用ID
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "应用ID", IsNullable = false)]
        public string ApplicationId { get; set; }

        /// <summary>
        /// 应用秘钥
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "应用秘钥", IsNullable = false)]
        public string Applicationkey{ get; set; }

        /// <summary>
        /// 终端ID
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "终端ID", IsNullable = false)]
        public string TerminalId { get; set; }

        /// <summary>
        /// 终端秘钥
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "终端秘钥", IsNullable = false)]
        public string TerminalKey { get; set; }

        /// <summary>
        /// 打印机名字
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "打印机名字", IsNullable = false)]
        public string Name { get; set; }

    }
}
