﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.StoreManagement.Core.Entity
{
    /// <summary>
    /// 桌面码归属店铺
    /// </summary>
    [SugarTable("BPA_StoreDesktopNumber")]
    public  class BPA_StoreDesktopNumber : IBaseGroupIdEntity
    {
        /// <summary>
        /// 桌面编号
        /// </summary>
        public string DesktopNumber { get; set; }

        /// <summary>
        /// 店铺
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 桌台码前缀
        /// </summary>
        public string Code { get; set; }
    }
}
