﻿using BPA.KitChen.StoreManagement.Core.Entity.Base;
using SqlSugar;

namespace BPA.KitChen.StoreManagement.Core.Entity
{
    /// <summary>
    /// 微信小程序前端店铺信息
    /// </summary>
    [SugarTable("bpa_wechat_ministore_page")]
    public class MiniStorePage:IBaseEntity
    {
        /// <summary>
        /// 页面名称
        /// </summary>
        public string PageName { get; set; }
        /// <summary>
        /// 页面路由
        /// </summary>
        public string PageRoute { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string FranchiseeId { get; set; }
        /// <summary>
        /// 加盟商店铺
        /// </summary>
        public string StoreId { get; set; }

    }
}
